//added for the fix followd by original shaders from author
textures/urban_terror3/glass_clear
{
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/effects/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/urban_windows/urban_window01
{
	{	
		map textures/urban_windows/urban_window01.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/urban_windows/urban_window01.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/base_wall/grill
{
	

	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/base_wall/grill.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}
textures/base_wall/steed1gf
{
	{
		map $lightmap
		rgbgen identity      
	}
	
	{
		map textures/base_wall/steed1gf.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}

			
}

textures/gothic_wall/streetbricks10_shiny
{
	q3map_globaltexture
	sort opaque

	{
		map $lightmap 
		tcmod turb sin .1 .1 0 0
		tcmod scale 2 2
		rgbgen identity
	}

	{
		map textures/gothic_wall/streetbricks11.tga
		rgbGen identity
		blendfunc gl_one gl_src_color
	}
	
	{
		map $lightmap 
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}


}

textures/urban_terror4/nrg_ladder
{
        qer_editorimage textures/urban_terror4/nrg_ladder.tga
    	surfaceparm trans
	cull none
        nopicmip
	{
		map textures/urban_terror4/nrg_ladder.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/base_trim/tin
{
	cull disable
        {
		rgbGen identity
		map $lightmap
	}
	{
		map textures/base_trim/tin.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
        {
		map textures/base_trim/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
       
        {
		map textures/base_trim/tin.tga
		//blendFunc GL_ONE GL_ONE
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
} 

//original shaders from author
models/mapobjects/griffin/water
{
	cull disable
	deformVertexes wave 100 sin 0 1 0 .3
	{
		map models/mapobjects/griffin/water.tga
		blendfunc blend
		rgbGen Vertex
		tcMod scroll 0 -.01
		alphaGen Vertex
	}
}
models/mapobjects/griffin/spray
{
	cull front

	{
		map models/mapobjects/griffin/spray.tga
		blendfunc blend
		rgbGen wave Sin 1 .001 0 .01
		tcMod scroll 0 -.5
		alphaGen Vertex
	}
}
models/mapobjects/griffin/Bubbles
{
	cull front
	deformVertexes wave 100 sin 0 .5 0 .9
	{
		map models/mapobjects/griffin/Bubbles.tga
		blendfunc blend
		rgbGen wave Sin .45 .001 0 .01
		tcMod scroll 0 .5
		alphaGen Vertex
	}
}
models/mapobjects/griffin/griffin
{
	cull disable

	{
		map models/mapobjects/griffin/griffin.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
 	}
}

// Oak-mapmodel 

models/mapobjects/oak/oakblaetter
{
	cull none
	nopicmip

	{
		map models/mapobjects/oak/oakblaetter.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/oak/oakblaetter2
{
	cull none
	nopicmip

	{
		map models/mapobjects/oak/oakblaetter2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/oak/oakblaetter3
{
	cull none
	nopicmip

	{
		map models/mapobjects/oak/oakblaetter3.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/ragingbullet/streets_sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 1 1 .6 10 60 60
	q3map_surfacelight 70
	q3map_globaltexture
	q3map_lightsubdivide 512
	skyparms env/parkavenue/streets 256 -
}

textures/ragingbullet/t_wll_fnctrm_sign.tga
{	
    qer_editorimage textures/ragingbullet/t_wll_fnctrm_sign.tga
	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull front
    nopicmip
	{
		map textures/ragingbullet/t_wll_fnctrm_sign.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

models/mapobjects/videocamera/videocamerasupport
{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/videocamera/videocamerasupport.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}

